## h5py 3.6.0

=== debian/changelog ===
h5py (3.6.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:41:41 +0000

h5py (3.6.0-2) unstable; urgency=medium

  * Team upload.
  * upload 3.6.0 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Dec 2021 11:32:22 +0100

h5py (3.6.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - makes debian patch numpy_min_version.patch redundant
  * mark hdf5-plugin-lzf Multi-Arch: same
  * debian patch doc_local_mathjax.patch configures docs to reference
    mathjax locally

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Dec 2021 17:55:24 +0100

h5py (3.5.0-2) unstable; urgency=medium

  * Team upload.
  * update debian patch skip_ros_test_no_net.patch to skip ROS3 network
    file tests if environment variable H5PY_NO_NETWORK_TEST is set.
    Apply during debian build-time tests. Closes: #998215.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Nov 2021 18:26:39 +0100

h5py (3.5.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Nov 2021 17:15:49 +0100

h5py (3.4.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * use wildcard and triple-slash for mathjax file references in docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Aug 2021 18:23:51 +0200

h5py (3.3.0-5) unstable; urgency=medium

  * Team upload.
  * debian patch fix-unaligned-access.patch avoids an unaligned memory
    access causing build failure on armhf. Thanks Michael Hudson-Doyle.
    Closes: #998838.

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Nov 2021 23:52:01 +0100
