## h5py 3.7.0

=== debian/changelog ===
h5py (3.7.0-7) unstable; urgency=medium

  * Team upload.
  * sparc64: skip test_reference_numpyobj

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Feb 2023 00:12:57 +0100

h5py (3.7.0-6) unstable; urgency=medium

  * Team upload.
  * sparc64: skip test_compound_vlen_enum

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Feb 2023 17:10:32 +0100

h5py (3.7.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing build-time tests
    - powerpc: test_complex256 test_long_double
      test_custom_float_promotion
    - sparc64: test_compound_vlen_bool

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Feb 2023 14:20:48 +0100

h5py (3.7.0-4) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * use pydist files so that dh_python3 uses the generic python3-h5py
    package as the h5py python package dependency for both
    python3-h5py-serial and python3-h5py-mpi.
    Closes: #1025575, #1030220, #1030274.
  * Standards-Version: 4.6.2

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #1026041)
    + Declaratively request debhelper addons.
    + Clean docs without requiring sphinx.
    + Move sphinx dependencies to B-D-I.
    + Annotate pytest dependencies <!nocheck>.
    + Multiarchify python Build-Depends.
  * Don't hard code the build architecture pkg-config.

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Feb 2023 13:06:51 +0100

h5py (3.7.0-3) unstable; urgency=medium

  * Team upload.
  * Build with HDF5_USE_SHLIB=yes to ensure libhdf5.so shared libraries
    are used. Closes: #1020054.

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Nov 2022 17:45:49 +0100

h5py (3.7.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch doc_extlink_PR2112.patch applies upstream PR#2112 to
    update handling of extlinks in sphinx docs. Closes: #1013400.
  * debian/tests: use `py3versions -s` to run tests over all supported
    python versions

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Aug 2022 15:28:22 +0200

h5py (3.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: pybuild-plugin-pyproject (use pyproject.toml)
    - drop EGG references in debian/rules
  * reorganise debian/rules to only build MPI build once
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jun 2022 22:25:30 +0200
