=== debian/control ===
--- 
+++ 
@@ -6,26 +6,30 @@
 Priority: optional
 Build-Depends: cython3 (>= 0.29.15),
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                dpkg-dev (>= 1.17.14),
                libhdf5-dev,
                libhdf5-mpi-dev (>= 1.10.6+repack-1),
-               libjs-mathjax,
                liblzf-dev,
+               libpython3-all-dev,
                mpi-default-dev,
                pkg-config,
-               python3-all-dev,
+               python3-all-dev:any,
                python3-cached-property,
                python3-mpi4py (>= 3.0.3),
                python3-numpy (>= 1.19.3),
                python3-pkgconfig,
-               python3-pytest,
-               python3-pytest-mpi,
+               python3-pytest <!nocheck>,
+               python3-pytest-mpi <!nocheck>,
                python3-setuptools,
                python3-six,
                python3-unittest2,
+Build-Depends-Indep:
+               dh-sequence-sphinxdoc <!nodoc>,
+               libjs-mathjax,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/h5py
 Vcs-Git: https://salsa.debian.org/science-team/h5py.git
 Homepage: https://www.h5py.org/
