## h5py 3.9.0

=== debian/changelog ===
h5py (3.9.0-5) unstable; urgency=medium

  * Team upload.
  * Build-Depends: cython3-legacy. Closes: #1056807.
  * drop deprecated Build-Depends: python3-six, python3-unittest2.
    Also from debian/tests. Closes: #1058981.

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Dec 2023 18:19:02 +0100

h5py (3.9.0-4) unstable; urgency=medium

  * Team upload.
  * update h5py/__init__.py to enable fallback mechanism both ways.
    If h5py-serial is not installed then load h5py-mpi in serial jobs.
    If h5py-mpi is not installed than load h5py-serial in MPI jobs.
    Obviously at least one of them needs to be installed.
    This enables h5py to work transparently in serial jobs if
    installed via "apt install python3-h5py python3-h5py-mpi"
    (which would skip installation of python3-h5py-serial)
  * the fallback mechanism makes it possible for h5py to operate in
    both serial and MPI environments with only python3-h5py-serial or
    with only python3-h5py-mpi installed (obviously the MPI-IO
    features are only available with python3-h5py-mpi)
  * add handling of H5PY_NEVER_USE_MPI environment to force use of
    h5py-serial in MPI jobs. If both H5PY_NEVER_USE_MPI and
    H5PY_ALWAYS_USE_MPI are set then H5PY_ALWAYS_USE_MPI takes
    priority (h5py-mpi is loaded).
  * document fallback and H5PY_NEVER_USE_MPI behaviour in README.Debian

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Oct 2023 13:16:16 +0200

h5py (3.9.0-3) unstable; urgency=medium

  * Team upload.
  * debian patch filter_address_PR2318.patch applies upstream PR#2318
    to fix handling of filter pointer addresses. Closes: #1053341.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Oct 2023 18:56:27 +0200

h5py (3.9.0-2) unstable; urgency=medium

  * Team upload.
  * ensure distinfo metadata is provided with the python3-h5py
    dependency package from arch-indep builds. h5py metadata is taken
    from the mpi build, but without the mpi4py requirement.
    Closes: #1051781.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Sep 2023 17:21:38 +0200

h5py (3.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * New upstream release.
    - applies debian patch doc_extlink_PR2112.patch
    - versioned Build-Depends: python3-mpi4py (>= 3.1.4)
  * skip network (ros3) tests
    - debian/tests: add *-network tests with ros3
      using needs-internet
    - drop debian patch skip_ros_test_no_net.patch
    - see upstream Issue #2286 for further discussion of problems with
      the --no-network option that should instead be used
  * update debian/rules to patch python packages in pyproject.toml not
    setup.py for each flavour (serial,mpi)
  * update debian patch skip_test_selection_assertion.patch to
    handle the test of FancySelection by tuple.
    - use sel.FancySelection.__name__ rather than a hardcoded string
  * debian/tests: run tests via exit() to catch error conditions
  * create h5py-*.dist-info separately for serial and mpi builds, and
    provide generic h5py dist-info in python3-h5py. Provide top-level
    __init__.py wrapper in python3-h5py. Closes: #1041480, #1051781.
    python-h5py Replaces, Breaks: python3-h5py-serial (<< 3.9.0-1~)
  * dh_clean removes .pytest_cache. Closes: #1045045.

  [ Enrico Zini ]
  * hdf5-plugin-lzf: added provides and autopkgtests after
    https://salsa.debian.org/science-team/h5f-packaging-guidelines
    Closes: #1032586

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Sep 2023 17:00:27 +0200

h5py (3.7.0-8) unstable; urgency=medium

  * Team upload.
  * sparc64: skip test_reference_field

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Feb 2023 17:33:32 +0100
