=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Mo Zhou <cdluminate@gmail.com>,
 Section: python
 Priority: optional
-Build-Depends: cython3 (>= 0.29.15),
+Build-Depends: cython3-legacy (>= 0.29.15),
                debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
@@ -17,14 +17,12 @@
                pkg-config,
                python3-all-dev:any,
                python3-cached-property,
-               python3-mpi4py (>= 3.0.3),
+               python3-mpi4py (>= 3.1.4),
                python3-numpy (>= 1.19.3),
                python3-pkgconfig,
                python3-pytest <!nocheck>,
                python3-pytest-mpi <!nocheck>,
                python3-setuptools,
-               python3-six,
-               python3-unittest2,
 Build-Depends-Indep:
                dh-sequence-sphinxdoc <!nodoc>,
                libjs-mathjax,
@@ -36,8 +34,11 @@
 
 Package: python3-h5py
 Architecture: all
-Depends: python3-h5py-serial | python3-h5py-mpi, ${misc:Depends}
+Depends: python3-h5py-serial | python3-h5py-mpi,
+ ${python3:Depends}, ${misc:Depends}
 Suggests: python-h5py-doc <!nodoc>
+Replaces: python3-h5py-serial (<< 3.9.0-1~)
+Breaks: python3-h5py-serial (<< 3.9.0-1~)
 Description: general-purpose Python interface to hdf5
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -65,7 +66,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: python3-h5py, python-h5py-doc <!nodoc>
+Recommends: python3-h5py
+Suggests: python-h5py-doc <!nodoc>
 Conflicts: python3-h5py (<< 2.10.0-3~)
 Description: general-purpose Python interface to hdf5 (Python 3 serial)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
@@ -94,9 +96,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-h5py-serial,
          python3-mpi4py (>= 3.0.3)
-Suggests: python3-h5py, python-h5py-doc <!nodoc>
+Recommends: python3-h5py
+Suggests: python-h5py-doc <!nodoc>
 Description: general-purpose Python interface to hdf5 (Python 3 MPI)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -152,6 +154,7 @@
 Package: hdf5-plugin-lzf
 Architecture: any
 Multi-Arch: same
+Provides: hdf5-filter-plugin-lzf-serial, hdf5-filter-plugin-lzf-openmpi
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libhdf5-dev | libhdf5-mpi-dev
