## h5py 3.10.0

=== debian/changelog ===
h5py (3.10.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:38 +1100

h5py (3.10.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:55:42 +0000

h5py (3.10.0-1ubuntu1) noble; urgency=medium

  * d/patches/fix-unaligned-access.patch: update to replace an additional
    unaligned access with a memcpy to fix behaviour on armhf userland / arm64
    kernels without COMPAT_ALIGNMENT_FIXUPS as found in Ubuntu.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 09 Feb 2024 15:36:13 +1300

h5py (3.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Francesco Ballarin ]
  * New upstream version 3.10.0
  * Remove filter_address_PR2318.patch: upstream PR 2318 is now part of 3.10.0
  * Refresh fix-unaligned-access.patch, No-rpath.patch,
    skip-test-ppc64el.patch, build_flavour.patch, use_system_lzf.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Jan 2024 16:11:16 +0100
