=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: h5py
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Mo Zhou <cdluminate@gmail.com>,
 Section: python
@@ -37,8 +38,8 @@
 Depends: python3-h5py-serial | python3-h5py-mpi,
  ${python3:Depends}, ${misc:Depends}
 Suggests: python-h5py-doc <!nodoc>
-Replaces: python3-h5py-serial (<< 3.9.0-1~)
-Breaks: python3-h5py-serial (<< 3.9.0-1~)
+Replaces: python3-h5py-serial (<< 3.10.0-1~)
+Breaks: python3-h5py-serial (<< 3.10.0-1~)
 Description: general-purpose Python interface to hdf5
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
