=== debian/rules ===
--- 
+++ 
@@ -21,15 +21,20 @@
 PYBUILD_DIR_SERIAL=$(shell PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) pybuild -p `py3versions -dv` --print {build_dir})
 PYBUILD_DIR_MPI=$(shell PYBUILD_NAME=$(PYBUILD_NAME_MPI) pybuild -p `py3versions -dv` --print {build_dir})
 
+PY3VER=$(shell py3versions -dv)
+
 export OMPI_MCA_plm_rsh_agent=/bin/false
 export OMPI_MCA_rmaps_base_oversubscribe=1
+
+# ros3 tests require internet, which is not available from debian buildds
+SKIP_TEST_LIST = ros3
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc))
     SKIP_TEST_LIST += test_complex256 test_long_double test_custom_float_promotion
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), sparc64))
-    SKIP_TEST_LIST += test_compound_vlen_bool test_compound_vlen_enum test_reference_numpyobj
+    SKIP_TEST_LIST += test_compound_vlen_bool test_compound_vlen_enum test_reference_numpyobj test_reference_field
 endif
 
 SKIP_TESTS=$(shell skip_tests=""; list_initialised=0; \
@@ -49,9 +54,9 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf $(BUILD_DIR_SERIAL) $(BUILD_DIR_MPI)
+	rm -rf .pytest_cache
 
 override_dh_auto_clean:
 	dh_auto_clean -D $(BUILD_DIR_SERIAL) || /bin/true
@@ -60,13 +65,13 @@
 
 override_dh_auto_configure:
 	mkdir $(BUILD_DIR_SERIAL); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)) $(BUILD_DIR_SERIAL)"
-	sed "s/'h5py'/'h5py.$(SUBMODULE_SERIAL)'/g; s/'h5py._hl'/'h5py.$(SUBMODULE_SERIAL)._hl'/g; s/'h5py.tests/'h5py.$(SUBMODULE_SERIAL).tests/g; s/'h5py.x/'h5py.$(SUBMODULE_SERIAL).x/g" -i $(BUILD_DIR_SERIAL)/setup.py
+	sed "s/    \"h5py\./    \"h5py.$(SUBMODULE_SERIAL)./g; s/    \"h5py\",/    \"h5py.$(SUBMODULE_SERIAL)\",/g" -i $(BUILD_DIR_SERIAL)/pyproject.toml
 	sed "s/flavour=''/flavour='$(SUBMODULE_SERIAL)'/" -i $(BUILD_DIR_SERIAL)/setup_build.py
 	mv $(BUILD_DIR_SERIAL)/h5py $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL)
 	cp -r debian/wrapper_module/h5py $(BUILD_DIR_SERIAL)
 	mv $(BUILD_DIR_SERIAL)/$(SUBMODULE_SERIAL) $(BUILD_DIR_SERIAL)/h5py
 	mkdir $(BUILD_DIR_MPI); bash -O extglob -c "cp -ra ./!($(BUILD_DIR_SERIAL)|$(BUILD_DIR_MPI)) $(BUILD_DIR_MPI)"
-	sed "s/'h5py'/'h5py.$(SUBMODULE_MPI)'/g; s/'h5py._hl'/'h5py.$(SUBMODULE_MPI)._hl'/g; s/'h5py.tests/'h5py.$(SUBMODULE_MPI).tests/g; s/'h5py.x/'h5py.$(SUBMODULE_MPI).x/g" -i $(BUILD_DIR_MPI)/setup.py
+	sed "s/    \"h5py\./    \"h5py.$(SUBMODULE_MPI)./g; s/    \"h5py\",/    \"h5py.$(SUBMODULE_MPI)\",/g" -i $(BUILD_DIR_MPI)/pyproject.toml
 	sed "s/flavour=''/flavour='$(SUBMODULE_MPI)'/" -i $(BUILD_DIR_MPI)/setup_build.py
 	mv $(BUILD_DIR_MPI)/h5py $(BUILD_DIR_MPI)/$(SUBMODULE_MPI)
 	cp -r debian/wrapper_module/h5py $(BUILD_DIR_MPI)
@@ -110,6 +115,9 @@
 
 override_dh_auto_test-indep:
 
+# should be running build-time tests with the --no-network option, not -m "not nonetwork"
+# but it is not recognised inside h5py.run_tests()
+# see https://github.com/h5py/h5py/issues/2286
 override_dh_auto_test-arch:
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	if [ "x$(SKIP_TESTS)" != "x" ]; then echo "skipping tests: $(SKIP_TESTS)"; fi
@@ -118,7 +126,7 @@
 		echo "Running serial tests on $$DIR"; \
 		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
 		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_serial/tests/; \
-		cd $$DIR/..; H5PY_NO_NETWORK_TEST=1 PYTHONPATH=$$DIR python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		cd $$DIR/..; PYTHONPATH=$$DIR python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
 		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v -k \"$(SKIP_TESTS)\"'))"; \
 		rm -rf $$DIR/h5py/_debian_h5py_serial/tests/data_files ; \
 	cd ../..; done;
@@ -127,7 +135,7 @@
 		echo "Running MPI tests on $$DIR"; \
 		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
 		cp -r $(CURDIR)/h5py/tests/data_files $$DIR/h5py/_debian_h5py_mpi/tests/; \
-		cd $$DIR/..; H5PY_NO_NETWORK_TEST=1 PYTHONPATH=$$DIR mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
+		cd $$DIR/..; PYTHONPATH=$$DIR mpirun -n 2 python$$(echo $$DIR | sed -e 's@.*cpython._\([[:digit:].]*\(_dbg\)*\).*_h5py.*@\1@g; s/_/-/') \
 		-c "from sys import exit; import h5py; exit(h5py.run_tests('-v --with-mpi -p no:xvfb -k \"$(SKIP_TESTS)\"'))"; \
 		rm -rf $$DIR/h5py/_debian_h5py_mpi/tests/data_files ; \
 	cd ../..; done;
@@ -135,22 +143,16 @@
 	echo "Tests not run since nocheck was set in DEB_BUILD_OPTIONS"
 endif
 
-override_dh_auto_install-indep:
+dh_auto_install_mpi: $(eval SHELL := /bin/bash)
+	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_PKGCONFIG_NAME=hdf5-mpi HDF5_USE_SHLIB=yes HDF5_MPI=ON H5PY_SYSTEM_LZF=1 dh_auto_install -D $(BUILD_DIR_MPI)
 
-override_dh_auto_install-arch: $(eval SHELL := /bin/bash)
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial HDF5_USE_SHLIB=yes H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_SERIAL)
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) CC=h5pcc HDF5_PKGCONFIG_NAME=hdf5-mpi HDF5_USE_SHLIB=yes HDF5_MPI=ON H5PY_SYSTEM_LZF=1 dh_auto_install -a -D $(BUILD_DIR_MPI)
+override_dh_auto_install-arch: dh_auto_install_mpi $(eval SHELL := /bin/bash)
+	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) HDF5_PKGCONFIG_NAME=hdf5-serial HDF5_USE_SHLIB=yes H5PY_SYSTEM_LZF=1 dh_auto_install -D $(BUILD_DIR_SERIAL)
 
-override_dh_install-arch:
-	rm -rf debian/python3-h5py-serial/usr/lib/python*/dist-packages/h5py/_debian_h5py_serial/tests/data_files
-	rm -rf debian/python3-h5py-mpi/usr/lib/python*/dist-packages/h5py/_debian_h5py_mpi/tests/data_files
-	dh_install -a
-	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_SERIAL)/lzf/liblzf_filter.so  $(shell $(PKG_CONFIG) --variable=PluginDir hdf5-serial)
-	dh_install -phdf5-plugin-lzf  $(BUILD_DIR_MPI)/lzf/liblzf_filter.so     $(shell $(PKG_CONFIG) --variable=PluginDir hdf5-mpi)
-
-override_dh_python3-arch:
-	PYBUILD_NAME=$(PYBUILD_NAME_SERIAL) dh_python3
-	PYBUILD_NAME=$(PYBUILD_NAME_MPI) dh_python3
-	dh_numpy3
-	
-	rm -f debian/python3-h5py-mpi/usr/lib/python3/dist-packages/h5py/__init__.py
+override_dh_auto_install-indep: dh_auto_install_mpi
+	mkdir -p debian/python3-h5py/usr/lib/python3/dist-packages/h5py
+	cp debian/wrapper_module/h5py/__init__.py debian/python3-h5py/usr/lib/python3/dist-packages/h5py
+	cp -r debian/python3-h5py-mpi/usr/lib/python$(PY3VER)/dist-packages/h5py-*.dist-info debian/python3-h5py/usr/lib/python3/dist-packages/
+	sed "/Requires-Dist: mpi4py/d" -i debian/python3-h5py/usr/lib/python3/dist-packages/h5py*.dist-info/METADATA
+	rm -f debian/python3-h5py/usr/lib/python3/dist-packages/h5py-*.dist-info/RECORD
+	rm -f debian/python3-h5py/usr/lib/python3/dist-packages/h5py-*.dist-info/LICENSE
