## h5py 3.11.0

=== debian/changelog ===
h5py (3.11.0-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - d/patches/fix-unaligned-access.patch: update to replace an additional
      unaligned access with a memcpy to fix behaviour on armhf userland / arm64
      kernels without COMPAT_ALIGNMENT_FIXUPS as found in Ubuntu.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Aug 2024 10:59:49 +0200

h5py (3.11.0-5) unstable; urgency=medium

  * fix launch of MPI tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 22:06:26 +0200

h5py (3.11.0-4) unstable; urgency=medium

  * point pytest directly at test_file.py for MPI tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 16:31:06 +0200

h5py (3.11.0-3) unstable; urgency=medium

  * do not run internal MPI tests (TestMPI) via h5py.run_tests().
    mpich is not comfortable with that (in 32-bit builds).
    Instead, run them directly with pytest. Closes: #1076028.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 16:03:35 +0200

h5py (3.11.0-2) unstable; urgency=medium

  * Build-Depends: pkgconf not pkg-config

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 11:22:09 +0200

h5py (3.11.0-1) experimental; urgency=medium

  * New upstream release.
    - Build-Depends: cython3
    - Build-Depends-Indep: python3-sphinx-rtd-theme (for docs)
  * set Drew Parsons as Uploader
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jun 2024 18:31:57 +0200

h5py (3.10.0-1ubuntu4) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 01 Aug 2024 12:50:27 -0700
