## h5py 3.12.1

=== debian/changelog ===
h5py (3.12.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:48:09 +0000

h5py (3.12.1-1) unstable; urgency=medium

  [Drew Parsons]
  * New upstream release

  [Michael Hudson-Doyle]
  * d/patches/fix-unaligned-access.patch: update to replace an additional
    unaligned access with a memcpy to fix behaviour on armhf userland / arm64
    kernels without COMPAT_ALIGNMENT_FIXUPS as found in Ubuntu.
    Closes: #1061063

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2024 21:32:46 +0100

h5py (3.11.0-8) unstable; urgency=medium

  * Team upload.
  * Enable oversubscription and set ssh agent using new environment variables
    for OpenMPI 5.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Nov 2024 12:25:00 +0100

h5py (3.11.0-7) unstable; urgency=medium

  * also run build-time MPI tests directly via pytest --with-mpi
    instead of h5py.runtest()

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Oct 2024 18:32:58 +0200

h5py (3.11.0-6) unstable; urgency=medium

  * debian/tests: run all MPI tests directly via pytest --with-mpi
    instead of h5py.runtest(), which crashes with MPICH (32-bit).
    Closes: #1080198

 -- Drew Parsons <dparsons@debian.org>  Mon, 14 Oct 2024 16:35:39 +0200
